
Foreman - Bug #30243

No Range check when creating a subnet in foreman UI

06/29/2020 07:23 PM - Kal Aeolian

Status: New   

Priority: High   

Assignee:    

Category: Network   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases: 1.18.0

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

When creating a new subnet, there is no validation that a valid range has been entered, and no default range is automatically

selected when empty.

This results in back code being pushed to the DHCP server, which results in the dhcpd server not starting, which results in servers all

losing their IP addresses.

(and in the case of a short TTL, a production outage, as just happened to us.)

This is dangerous, DHCP range validation can cause the service to stop so this should be validated in both puppet and foreman UI

code.

This occurs in at least Foreman v1.19.1.

History

#1 - 06/29/2020 09:45 PM - Kal Aeolian

- Priority changed from Normal to High

Also this was found in foreman 1.19 but I assume this happens in previous versions.

#2 - 07/10/2020 12:24 PM - Kavita Gaikwad

- Project changed from Foreman Maintain to Foreman

- Category set to Network
